summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam T. Carpenter <atc@53hor.net>2022-02-26 17:04:50 -0500
committerAdam T. Carpenter <atc@53hor.net>2022-02-26 17:04:50 -0500
commit8b9bf007b803268506108c6a6e898f5017aa7622 (patch)
treeb719f344d80c549719604196d6b0ac59a472ebb9
parenta38b3f626fa140fc56b1c579a594f0a7d445a390 (diff)
downloadscripts-8b9bf007b803268506108c6a6e898f5017aa7622.tar.xz
scripts-8b9bf007b803268506108c6a6e898f5017aa7622.zip
feat: very basic git-create
-rwxr-xr-xgit-create7
1 files changed, 7 insertions, 0 deletions
diff --git a/git-create b/git-create
new file mode 100755
index 0000000..dec4575
--- /dev/null
+++ b/git-create
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+REPO_NAME=$1
+[ -z "$REPO_NAME" ] && exit 1
+ssh git@53hor.net git init --bare --initial-branch=master "repos/$REPO_NAME.git"
+vim "scp://git@53hor.net//zroot/git/$REPO_NAME.git/description"
+git clone "git@53hor.net:repos/$REPO_NAME.git"